From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sass-rails/
Date: Wed, 29 Mar 2023 14:36:43 +0000 (UTC) [thread overview]
Message-ID: <1680100451.b61c735cef461b6c9edfefaece36095ed55abf80.sam@gentoo> (raw)
commit: b61c735cef461b6c9edfefaece36095ed55abf80
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 29 14:34:11 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 29 14:34:11 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b61c735c
Revert "dev-ruby/sass-rails: drop 5.0.8"
This reverts commit 3e273aae4c7004102717f823686151d8f5616ecc.
This is last-rited already so let's allow it to be removed naturally.
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/sass-rails/Manifest | 1 +
dev-ruby/sass-rails/sass-rails-5.0.8.ebuild | 38 +++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-ruby/sass-rails/Manifest b/dev-ruby/sass-rails/Manifest
index 12f56588108f..d489960dce02 100644
--- a/dev-ruby/sass-rails/Manifest
+++ b/dev-ruby/sass-rails/Manifest
@@ -1 +1,2 @@
+DIST sass-rails-5.0.8.tar.gz 90020 BLAKE2B 20e9e6e4701b0a14ff10f343fb94065af0110d86aab1bb4676de4806e20f8031b4cf7961002828438c3ae6be9802b3a2e4367882241e8fe745029747d31f9b04 SHA512 05d9e8d269c608723158831e215599a8482383fe79a9c3416fa8efd11bf9bae7935c5b7a1f5e8a22a85336abf4ceecc50578f0c8e51310c09b2540831959652e
DIST sass-rails-5.1.0.tar.gz 89994 BLAKE2B dc0083af8399d2ff1210a6430d47ccaaac88b337da5cfeb61c7a4f0c6b1f55d59d896a874945a943cc322fabfb3a31d80a1a467a12d04f2c1a1f9c84cbb452a0 SHA512 894b957b6b72d340ef2eebdc721c58c2d101fd275a10265f859f17f654736b3d3542a7100db922236925af40ae090406689815a4bb4f623c5f70652685571b7e
diff --git a/dev-ruby/sass-rails/sass-rails-5.0.8.ebuild b/dev-ruby/sass-rails/sass-rails-5.0.8.ebuild
new file mode 100644
index 000000000000..f9e3ab5413f8
--- /dev/null
+++ b/dev-ruby/sass-rails/sass-rails-5.0.8.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Official Ruby-on-Rails Integration with Sass"
+HOMEPAGE="https://github.com/rails/sass-rails"
+SRC_URI="https://github.com/rails/sass-rails/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE=""
+
+# Restrict tests for now since it is hard to set up the right
+# environment with the correct ruby interpreter and Rails test
+# application.
+RESTRICT="test"
+
+#ruby_add_bdepend "test? ( dev-ruby/sfl dev-ruby/bundler )"
+
+ruby_add_rdepend ">=dev-ruby/sass-3.1:* =dev-ruby/sass-3*:*
+ >=dev-ruby/railties-5.2.0
+ >=dev-ruby/sprockets-rails-2.0:* <dev-ruby/sprockets-rails-4:*
+ >=dev-ruby/sprockets-2.8:* <dev-ruby/sprockets-4:*
+ >=dev-ruby/tilt-1.1:* <dev-ruby/tilt-3:*"
+
+each_ruby_test() {
+ ${RUBY} -S bundle exec rake test || die
+}
next reply other threads:[~2023-03-29 14:36 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-29 14:36 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-18 6:05 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sass-rails/ Hans de Graaff
2023-08-30 5:25 Hans de Graaff
2023-07-10 7:36 Hans de Graaff
2023-04-15 7:28 Hans de Graaff
2023-04-08 7:04 Hans de Graaff
2023-04-07 18:11 Sam James
2023-03-29 13:04 Sam James
2022-05-15 7:50 Hans de Graaff
2021-07-06 19:41 Hans de Graaff
2020-07-26 5:52 Hans de Graaff
2019-10-13 6:38 Hans de Graaff
2019-08-17 5:44 Hans de Graaff
2019-05-06 17:58 Hans de Graaff
2018-05-19 7:51 Hans de Graaff
2018-03-25 17:58 Sergei Trofimovich
2018-03-18 12:57 Sergei Trofimovich
2018-02-24 8:49 Hans de Graaff
2018-02-07 5:52 Thomas Deutschmann
2018-01-24 7:02 Hans de Graaff
2017-12-09 7:55 Hans de Graaff
2017-11-16 7:05 Hans de Graaff
2017-08-24 5:49 Hans de Graaff
2017-07-03 9:12 Alexis Ballier
2017-07-02 5:43 Hans de Graaff
2017-06-02 5:38 Hans de Graaff
2017-05-03 19:03 Hans de Graaff
2017-05-03 18:30 Hans de Graaff
2017-02-25 8:19 Hans de Graaff
2016-07-23 8:15 Hans de Graaff
2016-07-18 6:49 Hans de Graaff
2016-07-11 5:20 Hans de Graaff
2016-07-06 5:33 Hans de Graaff
2016-07-06 5:33 Hans de Graaff
2016-05-18 8:56 Fabian Groffen
2016-04-16 13:08 Manuel Rüger
2016-02-16 21:14 Hans de Graaff
2016-01-17 9:10 Hans de Graaff
2015-09-04 5:07 Hans de Graaff
2015-09-04 5:07 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1680100451.b61c735cef461b6c9edfefaece36095ed55abf80.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox